from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XPropertyControl(Protocol):
    def raises(self, param0: IllegalTypeException) -> set: ...
